Skip to main content
POST
Set Thumbnail

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

The ID of the video library.

videoId
string
required

The GUID of the video.

Query Parameters

thumbnailUrl
string | null

Optional. One of thumbnail_1.jpg…thumbnail_5.jpg to reuse an auto-generated thumbnail, or a URL for the server to fetch. Omit to upload a raw image in the request body instead.

Body

application/octet-stream

Optional thumbnail file to upload

Response

The thumbnail was successfully set

success
boolean

Determines if the request was successful

message
string | null

Human-readable message describing the result, typically populated with error details when Success is false.

statusCode
integer<int32>

The HTTP status code corresponding to the result of the request.

Last modified on September 10, 2026